﻿CREATE PROCEDURE [dbo].[DeleteProduct]
	@productId int
AS
	BEGIN TRY
		BEGIN TRANSACTION
			DELETE
			FROM dbo.Products
			WHERE dbo.Products.Id = @productId
		COMMIT TRANSACTION
	END TRY
	BEGIN CATCH
		ROLLBACK TRANSACTION
		RETURN -1
	END CATCH
RETURN 0
